using System.Diagnostics;
using System.IO;
using System.Windows.Forms;
using Tekla.Structures;
using TSM = Tekla.Structures.Model;
using Tekla.Structures.Model;

namespace Tekla.Technology.Akit.UserScript
{
    public class Script
    {
        public static void Run(Tekla.Technology.Akit.IScript akit)
        {
            string DataDir = "";
            TeklaStructuresSettings.GetAdvancedOption("XSDATADIR", ref DataDir);

            string ApplicationName = "Tekla.India.ContourPlateSplit.exe";
            string ApplicationPath = Path.Combine(DataDir, "Environments\\common\\extensions\\SplitTools\\" + ApplicationName);

            Process NewProcess = new Process();

            if (File.Exists(ApplicationPath))
            {
                NewProcess.StartInfo.FileName = ApplicationPath;

                try
                {
                    NewProcess.Start();
                    NewProcess.WaitForExit();
                }
                catch
                {
                    MessageBox.Show(ApplicationPath + " failed to start.");
                }
            }
            else
            {
                MessageBox.Show(ApplicationPath + " not found.");
            }
        }
    }
}